Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.data
Class Alphabet.AlphabetParameterSet

    java.lang.Object
      de.jstacs.parameters.ParameterSet
          de.jstacs.parameters.InstanceParameterSet
              de.jstacs.data.Alphabet.AlphabetParameterSet

All Implemented Interfaces:
  RangeIterator, Storable, Cloneable

Direct Known Subclasses:
  ContinuousAlphabet.ContinuousAlphabetParameterSet, DiscreteAlphabet.DiscreteAlphabetParameterSet, DNAAlphabet.DNAAlphabetParameterSet

Enclosing class:
  Alphabet

    public abstract static class Alphabet.AlphabetParameterSet

extends InstanceParameterSet

The super class for the `InstanceParameterSet` of any `Alphabet`.

Author:
  Jens Keilwagen

Nested Class Summary

Nested classes/interfaces inherited from class de.jstacs.parameters.ParameterSet
`ParameterSet.ParameterList`

Field Summary

Fields inherited from class de.jstacs.parameters.ParameterSet
`errorMessage, parameters, parent, ranged`

Constructor Summary
`Alphabet.AlphabetParameterSet(Class<? extends Alphabet> instanceClass)` Creates a new `Alphabet.AlphabetParameterSet` from the class that can be instantiated using this `Alphabet.AlphabetParameterSet`.
`Alphabet.AlphabetParameterSet(StringBuffer representation)` The standard constructor for the interface `Storable` .

Method Summary
`Alphabet.AlphabetParameterSet` | `clone()` Creates a full clone (deep copy) of this `ParameterSet`.
`String` | `getInstanceName()` Returns the name of an instance of the class that can be constructed using this `ParameterSet`.

Methods inherited from class de.jstacs.parameters.InstanceParameterSet
`fromXML, getInstance, getInstanceClass, getInstanceComment, toXML`

Methods inherited from class de.jstacs.parameters.ParameterSet
`getErrorMessage, getId, getIndex, getNumberOfParameters, getNumberOfValues, getParameterAt, getParent, hasDefaultOrIsSet, initParameterList, initParameterList, isAtomic, isRanged, loadParameters, makeRanged, next, parametersLoaded, propagateId, recieveId, replaceParametersWithRangedInstance, reset, resetToFirst, setParent, simplify, valuesToString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Alphabet.AlphabetParameterSet

    public Alphabet.AlphabetParameterSet(Class<? extends Alphabet> instanceClass)

  Creates a new `Alphabet.AlphabetParameterSet` from the class that can be instantiated using this `Alphabet.AlphabetParameterSet`.

  Parameters:
    `instanceClass` - the class
  See Also:
    `InstanceParameterSet.InstanceParameterSet(Class)`

### Alphabet.AlphabetParameterSet

    public Alphabet.AlphabetParameterSet(StringBuffer representation)
                                  throws NonParsableException

  The standard constructor for the interface `Storable` . Creates a new `Alphabet.AlphabetParameterSet` out of its XML representation.

  Parameters:
    `representation` - the XML representation as `StringBuffer`
  Throws:
    `NonParsableException` - if the `Alphabet.AlphabetParameterSet` could not be reconstructed out of the XML representation (the `StringBuffer` `representation` could not be parsed)
  See Also:
    `InstanceParameterSet.InstanceParameterSet(StringBuffer)`, `Storable`

Method Detail

### clone

    public Alphabet.AlphabetParameterSet clone()
                                        throws CloneNotSupportedException

  Description copied from class: `ParameterSet`
  Creates a full clone (deep copy) of this `ParameterSet`. As a convenience-method the user can use `fillWithStandardFieldsForClone(ParameterSet)` on a newly created instance of a subclass of `ParameterSet` to obtain a clone/copy of all standard member variables (those already defined in `ParameterSet`) in the passed `ParameterSet`. Using this method, the cloning process becomes merely three-step:
  - Create a new instance of your subclass of `ParameterSet`, most likely with an empty constructor or the one taking just the instance class.
  - Call `this.fillWithStandardFieldsForClone` on this instance.
  - Return the instance.
  This method fulfills the conventions of `Object`'s method `Object.clone()`.

  Overrides:
    `clone` in class `ParameterSet`
  Returns:
    a deep clone/copy of this `ParameterSet`
  Throws:
    `CloneNotSupportedException`

### getInstanceName

    public String getInstanceName()

  Description copied from class: `InstanceParameterSet`
  Returns the name of an instance of the class that can be constructed using this `ParameterSet`.

  Specified by:
    `getInstanceName` in class `InstanceParameterSet`
  Returns:
    the name of the class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD